Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Functions
win32ole_record.c File Reference
`#include "win32ole.h"`

Go to the source code of this file.

## Data Structures
struct | olerecorddata

## Functions
void | ole_rec2variant (VALUE rec, VARIANT *var)
void | olerecord_set_ivar (VALUE obj, IRecordInfo *pri, void *prec)
VALUE | create_win32ole_record (IRecordInfo *pri, void *prec)
void | Init_win32ole_record (void)

## Function Documentation

## ◆ create_win32ole_record()

VALUE create_win32ole_record | ( | IRecordInfo * | pri,
|  | void * | prec
| ) |  |

Definition at line 172 of file win32ole_record.c.

References obj.

## ◆ Init_win32ole_record()

void Init_win32ole_record | ( | void |  | ) |

Definition at line 593 of file win32ole_record.c.

References cWIN32OLE_RECORD, rb_cObject, rb_define_alloc_func(), and rb_define_class().

## ◆ ole_rec2variant()

void ole_rec2variant | ( | VALUE | rec,
|  | VARIANT * | var
| ) |  |

Definition at line 87 of file win32ole_record.c.

Referenced by ole_val2variant().

## ◆ olerecord_set_ivar()

void olerecord_set_ivar | ( | VALUE | obj,
|  | IRecordInfo * | pri,
|  | void * | prec
| ) |  |

Definition at line 123 of file win32ole_record.c.

References HRESULT().